{% extends "base.html" %}


{% block content %}

<article class='flexbox_leftright'>
	<!-- SideBar -->
<div id='sidebar'>
		{% include '_sidebar.html' %}
</div>

<!-- Settings -->
<section class='flexbox_updown flexbox_align-items_center'>
	<!-- Account -->
	<h2 id='settingsAccount' class='settings_paragraph_heading center-align'>Account Information</h2>
	<div class='flexbox_leftright flexbox_justify-content_center'>
		<div class=''>
			<!-- FORM -->
			<form action='{{ url_for("settingsAccount") }}#settingsAccount' method='post' novalidate>
				{{ settingsAccount.hidden_tag() }}
				<!-- Username -->
				{{ settingsAccount.username.label }}<br>
				{{ settingsAccount.username(size=32, autocomplete='username') }}<br>
				{% for error in settingsAccount.username.errors %}
					<span class='error'>{{ error }}</span>
				{% endfor %}<br>
					
				<!-- Email -->
				{{ settingsAccount.email.label }}<br>
				{{ settingsAccount.email(size=32, autocomplete='email') }}<br>
				{% for error in settingsAccount.email.errors %}
					<span class='error'>{{ error }}</span>
				{% endfor %}<br>
				<br><div class='center-align'>{{ settingsAccount.submit() }}</div>
			</form>
		</div>

		<div class='flexbox_align-self_center flexbox-max'>
			<!-- DESCRIPTION -->
			<p class='settings_paragraph'>Make changes to entries you want to change 
			then click "Save".
		</div>
	</div>

	<h2 id='settingsPassword' class='settings_paragraph_heading center-align'>Change Password</h2>
	<div class='flexbox_leftright flexbox_justify-content_center'>
		<div class=''>
			<!-- FORM -->
			<form action='{{ url_for("settingsPassword") }}#settingsPassword' method='post' novalidate>
				{{ settingsPassword.hidden_tag() }}

				<!-- Old Password -->
				{{ settingsPassword.old_password.label }}<br>
				{{ settingsPassword.old_password(size=32, autocomplete='off') }}<br>
				{% for error in settingsPassword.old_password.errors %}
					<span class='error'>{{ error }}</span>
				{% endfor %}<br>
				<!-- New Password -->
				{{ settingsPassword.new_password.label }}<br>
				{{ settingsPassword.new_password(size=32, autocomplete='off') }}<br>
				{% for error in settingsPassword.new_password.errors %}
					<span class='error'>{{ error }}</span>
				{% endfor %}<br>
				<!-- Confirm New Password -->
				{{ settingsPassword.new_password_2.label }}<br>
				{{ settingsPassword.new_password_2(size=32, autocomplete='off') }}<br>

				{% for error in settingsPassword.new_password_2.errors %}
					<span class='error'>{{ error }}</span>
				{% endfor %}<br>

				<!-- Submit Button -->
				<br><div class='center-align'>{{ settingsPassword.submit_password() }}</div>
				
			</form>
		</div>
			<div class='flexbox_align-self_center flexbox-max'>
				<!-- DESCRIPTION -->
				<p class='settings_paragraph'>In the old password box type your current password
				in the new password and repeat new password type the password you want.<br><br> <b>NOTE</b>:
				It is recommend to use a password manager like KeePassXC.</p>
			</div>
	</div>
	<h2 id='settingsMoreSpace' class='settings_paragraph_heading center-align'>Request Additional Space</h2>
	<div class='flexbox_leftright flexbox_justify-content_center'>
		<div class=''>
			<!-- FORM -->
			<form action='{{ url_for("settingsRequestMoreSpace") }}#settingsMoreSpace' method='post' novalidate>
				{{ settingsMoreSpace.hidden_tag() }}

				<!-- Amount -->
				{{ settingsMoreSpace.amount.label }}<br>
				{{ settingsMoreSpace.amount(size=32, autocomplete='off') }}<br>
				{% for error in settingsMoreSpace.amount.errors %}
					<span class='error'>{{ error }}</span>
				{% endfor %}<br>

				<!-- Reason -->
				{{ settingsMoreSpace.reason.label }}<br>
				{{ settingsMoreSpace.reason(rows=5, cols=30, autocomplete='off')}}<br>
				{% for error in settingsMoreSpace.reason.errors %}
					<span class='error'>{{ error }}</span>
				{% endfor %}<br>

				<!-- Submit Button -->
				<br><div class='center-align'>{{ settingsMoreSpace.submit_moreSpace() }}</div>
			
			</form>
		</div>
		<div class='flexbox_align-self_center flexbox-max'>
			<!-- DESCRIPTION -->
			<p class='settings_paragraph'>Enter in additional storage space you want in gigabytes.
		    Then fill out a reason for the storage request. Add lastly click Send. 
		    A confirmation banner will pop up listing changes made or errors.</p>
		</div>

</section>
</article>
{% endblock %}
